#include "custom_resolver.hpp"
#include "wvfile.h"
using namespace TagMachine;
using namespace std;

TagLib::File* WavPackFileTypeResolver::createFile(
    const char *fileName,
    bool readAudioProperties,
    TagLib::AudioProperties::ReadStyle audioPropertiesStyle) const {

    string fname(fileName);

    if (fname.rfind(".wv") != -1 &&
        fname.rfind(".wv") == fname.length() - 3) {

        return new TagLib::WavPack::File(fileName, readAudioProperties, audioPropertiesStyle);
    }
    else {
        return NULL;
    }
}
